title = "Behavior Analytics V2 | Devo"
startUrl = "/#/vapps/app.custom.Behavior_Analytics_V2/settings/behaviors"

elements = dict(
    content_manager_button=("xpath", "//span[text()='Content Manager']"),
    entity_groups_button=("role", "link", "Entity Groups"),
    new_group_button=("role", "button", "New Group"),
    risk_group_name=("placeholder", "Enter Risk Group Name"),
    risk_score_multiplier=("placeholder", "Enter Risk Score Multiplier"),
    save_settings_button=("locator", "//span[text()='Save Settings']"),
    # reload_button=('locator', "//button[text()='Reload']"),
    search_entity_group=("placeholder", "Search by name"),
    entity_group_name=("locator", "//tbody//td[1]"),
    # entity_risk_score=('locator', "//tbody//td[2]"),
    entity_risk_score=("css", "div[data-testid=ueba-risk-score__celldata]"),
    edit_score_multiplier=("text", "Edit Score Multiplier"),
    delete_risk_group=("text", "Delete Risk Group"),
    edit_list_button=("text", "Edit List"),
    entity_name=("locator", "//div[contains(@data-testid,'risk-group-details')]//td[1]"),
    edit_risk_score_button=("locator", "//button[contains(@data-testid,'edit-risk-score-button')]"),
    risk_score_multiplier_detail_page=("text", "Risk Score Multiplier:"),
    add_entities_button=("xpath", "//*[@data-testid='ueba-risk-group-details-route__add-button']"),
    input_entities_name=("locator", "//textarea[@label='Entity Names']"),
    add_to_risk_group_button=(
        "xpath",
        "//*[@data-testid='ueba-risk-group-upload-modal__add-button']",
    ),
    delete_entities_button=(
        "xpath",
        "//*[@data-testid='ueba-risk-group-details-route__table-row-delete']",
    ),
    notable_entities_button=("role", "link", "Notable Entities"),
    search_notable_entity=("placeholder", "Find by name"),
    add_entities_notable_button=(
        "xpath",
        "//*[@data-testid='ueba-admin-entity-list-details-route__add-button']",
    ),
    add_to_notable_button=(
        "xpath",
        "//*[@data-testid='ueba-entity-list-members-editor__add-button']",
    ),
    delete_notable_entities_button=(
        "xpath",
        "//*[@data-testid='ueba-entity-list-details-route__table-row-delete']",
    ),
    new_button=("role", "button", "New"),
    risk_threshold=("placeholder", "Enter Risk Threshold"),
    alert_name=(
        "css",
        "div.ueba-risk-based-alert-editor-input__input-wrapper > div > div > span.field__wrapper__input > span.field__wrapper-control > input",
    ),
    advance_option=(
        "xpath",
        "//div[@class='ueba-risk-based-alert-editor__advanced-configs-toggle'][p='Advanced (optional)']/button/span/i",
    ),
    save_risk_alert_button=(
        "xpath",
        "//*[@data-testid='ueba-risk-based-alert-editor__save-button']",
    ),
    search_risk_alerts=("xpath", "//*[@data-testid='ueba-risk-based-alerts-route__search-text']"),
    save_alert_risk_score_button=(
        "xpath",
        "//*[@data-testid='ueba-sec-ops-alert-editor__save-button']",
    ),
    search_use_case=("xpath", "//*[@data-testid='ueba-admin-behaviors-route__search-text']"),
    configure_enable_button=(
        "xpath",
        "//*[@data-testid='ueba-use-cases-table-row-actions__configure-button']",
    ),
    enable_button=("xpath", "//*[@data-testid='ueba-use-case-editor__enable-button']"),
    download_notable_entity_button=(
        "xpath",
        "//*[@data-testid='ueba-admin-entity-list-details-route__download-button']",
    ),
    save_notable_entity_button=(
        "xpath",
        "//*[@data-testid='ueba-entity-list-upload-modal__save-button']",
    ),
    upload_notable_entity_button=(
        "xpath",
        "//*[@data-testid='ueba-admin-entity-list-details-route__upload-button']",
    ),
    alerts_tab=("xpath", "//*[@data-testid='ueba-use-case-editor__tabs']//*[text()='Alerts']"),
    search_secops_alerts_risk_score=(
        "xpath",
        "//*[@data-testid='ueba-admin-sec-ops-route__search-text']",
    ),
    evaluation_period=("placeholder", "Enter number from 2 to"),
    risk_rate_of_change=("placeholder", "Risk Rate of Change"),
    signals_risk_score_button=("placeholder", "20"),
    risk_based_number_inputs=(
        "css",
        "div.ueba-risk-based-alert-editor-input__input-wrapper span span input[type='number']",
    ),
    risk_rate_of_change_listing_page=("xpath", "//tbody//td[5]"),
    risk_threshold_listing_page=("xpath", "//tbody//td[4]"),
    risk_score=("css", "div[class*=sec-ops-alert] input[type='number']"),
    status_usecase_button=("xpath", "//div[contains(@class,'ueba-use-case-status')]"),
    secops_alert_name=("xpath", "//div[contains(@data-testid,'sec-ops')]//td[1]"),
    usecase_name=("xpath", "//div[contains(@data-testid,'ueba-admin-behaviors')]//td[1]/p[1]"),
    # api_key=('css', "div[data-testid*='param-api_key'] input"),
    # api_secret=('css', "div[data-testid*='param-api_secret'] input"),
    alert_priority_button=(
        "xpath",
        "//div[contains(@class,'single-value') and contains(text(),'-')]",
    ),
    priority_list=("css", "div[class*='select__option']"),
    trigger_alert_button=("css", "div[class*='ueba-use-case-editor'] span[class*=marker]"),
    clear_use_case_status=(
        "css",
        "div[data-testid*='ueba-admin-behaviors'] div[class*='clear-indicator']",
    ),
    signal_risk_score=("css", "[data-testid='ueba-use-case-editor-input__param-risk_score'] input"),
    toast_msg=("css", "h5.toast__title"),
    usecase_running_state=("xpath", "//tbody//td[5]/div/span[contains(text(), 'Running')]"),
    usecase_paused_state=("xpath", "//tbody//td[5]/div/span[contains(text(), 'Paused')]"),
    usecase_error_state=("xpath", "//tbody//td[6]/div/span[contains(text(), 'Error')]"),
    secops_alerts_risk_score=("role", "link", "SecOps Alerts Risk Score"),
    behavior_alert_definitions_button=("role", "link", "Behavior Models"),
    remove_risk_score=("text", "Remove Risk Score"),
    create_button=("role", "button", "Create"),
    whitelist_inputs=("xpath", "//*[@data-testid='undefined__input']"),
    whitelist_tab=("text", "Whitelist"),
    risk_based_alert_button=("role", "link", "Risk Based Alert Definitions"),
    reload_button=("xpath", "//*[@data-testid='ueba-reload-button']"),
)

validations = []
